package org.fouram.service;

import java.util.Date;
import java.util.List;

import org.fouram.core.base.service.BaseService;
import org.fouram.entity.SapMessageUser;
import org.fouram.entity.SapUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SapMessageUserService extends BaseService {

	@Autowired
	private SapUserService sapUserService;

	@SuppressWarnings("unchecked")
	public List<SapMessageUser> selectList() throws Exception {
		return (List<SapMessageUser>) findList("SapMessageUserMapper.selectList", null);
	}

	public void saveOne(String userId) throws Exception {
		SapMessageUser sapMessageUser = selectByUserId(userId);
		if (sapMessageUser != null) {
			throwPromptException("该用户已保存");
		}
		SapUser sapUser = sapUserService.selectByUserId(userId);
		sapMessageUser = SapMessageUser.builder().userId(userId).name(sapUser.getName()).createDate(new Date()).build();
		save("SapMessageUserMapper.saveOne", sapMessageUser);
	}

	public SapMessageUser selectByUserId(String userId) throws Exception {
		return (SapMessageUser) findObject("SapMessageUserMapper.selectByUserId", userId);
	}

	public void deleteById(String id) throws Exception {
		update("SapMessageUserMapper.deleteById", id);
	}
}
